
from piscript.PiModule import *

P = [
	[ -1.5,-1],
	[ 0, 1],
	[1.5,-1],
]

import math

lw = 0.5
A = math.atan2(P[1][1]-P[0][1], P[1][0]-P[0][0])
B = math.atan2(P[1][1]-P[2][1], P[1][0]-P[2][0])

init("bevel", 120, 120)

beginpage()
center()
scale(29)
setlinejoin(2)

dx = lw*math.cos(A+math.pi/2)
dy = lw*math.sin(A+math.pi/2)
Q = [ 
	[ P[0][0]+dx, P[0][1]+dy ],
	[ P[0][0]-dx, P[0][1]-dy ],
	[ P[1][0]-dx, P[1][1]-dy ],
	[ P[1][0]+dx, P[1][1]+dy ],
]

R = Q

dx = lw*math.cos(B+math.pi/2)
dy = lw*math.sin(B+math.pi/2)
Q = [ 
	[ P[2][0]+dx, P[2][1]+dy ],
	[ P[2][0]-dx, P[2][1]-dy ],
	[ P[1][0]-dx, P[1][1]-dy ],
	[ P[1][0]+dx, P[1][1]+dy ],
]

newpath()
moveto(R[0])
lineto(R[1])
lineto(R[2])
lineto(R[3])
closepath()
fill(1,0.8,0.8)
stroke(0)

newpath()
moveto(Q[0])
lineto(Q[1])
lineto(Q[2])
lineto(Q[3])
closepath()
fill(1,0.8,0.8)
stroke(0,0,0)

newpath()
moveto(R[3])
lineto(Q[2])
lineto(P[1])
closepath()
fill(1,0.8,0.8)
stroke(0)

newpath()
moveto(R[0])
lineto(R[1])
lineto(R[2])
lineto(R[3])
closepath()
stroke(0)

newpath()
moveto(Q[0])
lineto(Q[1])
lineto(Q[2])
lineto(Q[3])
closepath()
stroke(0,0,0)

newpath()
moveto(R[3])
lineto(Q[2])
lineto(P[1])
closepath()
stroke(0)

newpath()
moveto(P[0])
lineto(P[1])
lineto(P[2])
stroke(0.8,0,0)

endpage()
finish()
