
from piscript.PiModule import *

init("cd", 50, 50 )

beginpage()
center()

scale(72)

# placing the text
# I do not bother to center each piece in this example

sw = 0.02; hw = 3.6*sw
setarrowdims(sw, hw)

gsave()
gsave()
translate(-0.25, 0.25)
scale(1.0/72)
translate(-4, -4)
place(texinsert("$A$"))
grestore()

gsave()
translate(-0.25, -0.25)
scale(1.0/72)
translate(-4, -4)
place(texinsert("$B$"))
grestore()

gsave()
translate(0.25, 0.25)
scale(1.0/72)
translate(-4, -4)
place(texinsert("${\cal A}$"))
grestore()

gsave()
translate(0.25, -0.25)
scale(1.0/72)
translate(-4, -4)
place(texinsert("${\cal B}$"))
grestore()
grestore()

# now put the arrows
# it would be possible to write a procedure
# that would automate much of this micro-adjustment
# of arrow lengths etc.

setdeg()

setcolor(0.8, 0.3, 1)
gsave()
translate(-0.25, 0.24)
translate(0.08, 0)
newpath()
arrow(0.34, 0.0125, 0.06, 48, 60)
fill()
grestore()

gsave()
translate(-0.25, -0.26)
translate(0.09, 0)
newpath()
arrow(0.32, 0.0125, 0.06, 48, 60)
fill()
grestore()

gsave()
translate(-0.25, -0.24)
translate(0, 0.08)
newpath()
arrow(0, 0.31, 0.0125, 0.06, 48, 60)
fill()
grestore()

gsave()
translate(0.25, -0.24)
translate(0, 0.08)
newpath()
arrow(0, 0.31, 0.0125, 0.06, 48, 60)
fill()
grestore()



endpage()
flush()

