
from piscript.PiModule import *

init("frame1", 160, 160)
beginpage()
center()
scale(25)
translate(-0.5,-0.5)
a = Vector([ 1, 0 ])
b = Vector([ 0, 1 ])
gsave()
g = 0.7
for i in range(-5, 5):
	for j in range(-5, 5):
		newpath()
		moveto(a*float(i)+b*float(j))
		rlineto(a)
		rlineto(b)
		rlineto(-a)
		closepath()
		stroke(1,0.6,0.8)
grestore()

gsave()
scalelinewidth(0.5)
setlinecap(1)
sw = 0.07
hw = 3.6*sw
setarrowdims(sw, hw)
newpath()
arrow(a)
fill(1)
stroke()

newpath()
arrow(b)
fill()
stroke()

grestore()

# -----------------------------------------
settexenv("BoldMathTexConfig")
gsave()
gs = cgs()
t = gs.inversetm()
atransform(t)

# -----------------------

gsave()
v = gs.transform(0, 0)
translate(v)

newpath()
circle(1.5)
fill(1)
stroke(0)

translate(-1,-1)
t = texinsert("$(0,0)$")
scale(0.9)
translate(-t.width, -t.height)
place(t)
grestore()

# -----------------------

gsave()
v = gs.transform(a)
translate(v)

translate(1,-1)
t = texinsert("$(1,0)$")
scale(0.9)
translate(0, -t.height)
place(t)
grestore()

# -----------------------

gsave()
v = gs.transform(b)
translate(v)

translate(-1, 3)
t = texinsert("$(0,1)$")
scale(0.9)
translate(-t.width, 0)
place(t)
grestore()

# -----------------------

grestore()
# -----------------------------------------

endpage()
finish()
