#!/usr/bin/python

from piscript.PiModule import *

c = math.cos(math.pi/6)
s = math.sin(math.pi/6)

init(100, 84)
S = 48

beginpage()
translate(width()/2, S*s+5)
scale(S)


newpath()
moveto( 0, 1)
lineto(-c,-s)
lineto( c,-s)
closepath()
stroke()

P = [ (0, 1), (1, 0, 0) ]
Q = [ (c,-s), (0, 1, 0) ]
R = [ (-c,-s), (0, 0, 1) ]
ds = [
	[P, Q, R]
]
shfill(ds)

endpage()
flush()

