from piscript.PiModule import *

init(144, 144)

# the picture will be two inches square

settexenv("plain")
setdeg()
beginpage()
center()
scale(108)
translate(-0.5, -0.5)

# --- the box ----------------
margin = 0.125
newpath()
moveto(-margin, 0)
lineto(1+margin, 0)
moveto(1, -margin)
lineto(1, 1+margin)
moveto(1+margin, 1)
lineto(-margin, 1)
moveto(0, 1+margin)
lineto(0, -margin)
stroke(0.8)

# now draw the graph 
setcolor(0.8, 0, 0)

N = 32
t = 0
dt = 1.0/N
newpath()
moveto(t, t*t)
for i in range(N):
	t += dt
	lineto(t, t*t)
stroke()

# --- the tex insert ----------------------------
setcolor(0)
t = texinsert("$y = \\color{1 0 0} x\\uncolor ^2$", True)

translate(0.5, 0.3)
t.setdeg()
t.rotate(50)
place(t)


endpage()
finish()
