CmdNo = 27

SETLINEWIDTH = 0 
SETLINECAP = 1 
SETLINEJOIN = 2 
SETDASH = 3 
SETMITERLIMIT = 4

SETCOLOR = 5
SCALELINEWIDTH = 6 
NEWPATH = 7 
MOVETO = 8 # gfx
LINETO = 9 # gfx 

CURVETO = 10 # gfx 
FILL = 11
STROKE = 12 
CFILL = 13
CSTROKE = 14

CLIP = 15
SETFONT = 16 
SHOW = 17 # gfx 
EMBED = 18
CLOSEPATH = 19 

INSERT = 20 # gfx?
IMPORTPS = 21 # gfx
IMPORTEPS = 22 # gfx
GSAVE = 23
GRESTORE = 24

SHFILL = 25
COMMENT = 26

Skip = [
	2, 2, 2, 3, 2,
	4, 2, 1, 3, 3,
	7, 1, 1, 4, 4,
	1, 3, 3, 2, 1,
	2, 3, 3, 1, 1,
	2, 2, 
]
	
Name = [
	"setlinewidth",
	"setlinecap",
	"setlinejoin",
	"setdash",
	"setmiterlimit",

	"setcolor",
	"scalelinewidth",
	"newpath",
	"moveto",
	"lineto",

	"curveto",
	"fill",
	"stroke",
	"cfill",
	"cstroke",

	"clip",
	"setfont",
	"show",
	"embed",
	"closepath",

	"include",
	"PSinclude",
	"EPSinclude",
	"gsave",
	"grestore",

	"shfill",
	"comment", 
]

import Fstr 
import Canvas

def to_string(cmd):
	n = len(cmd)
	i = 0
	s = ""
	while i < n:
		c = cmd[i]
		skip = Skip[c]
		s += "<" + Name[c] + ">"
		for j in range(1,skip):
			c = cmd[i+j]
			if type(c) == float:
				s += " " + Fstr.cstr(cmd[i+j]) + ","
			elif isinstance(c, Canvas.Canvas):
				s += "\n\n{" + str(cmd[i+j]) + "}\n,"
			else:
				s += " " + str(cmd[i+j]) + ","
		i += skip
		s += "\n"
	return s

