# matrices here = arrays of 6 numbers

class PSMatrix:

	# vectors are columns here
	def transform(tm, *args):
		if len(args) == 2:
			x = args[0]; y = args[1]
		else:
			P = args[0]
			x = P[0]; y = P[1]
		X = tm[0]*x + tm[2]*y + tm[4]
		Y = tm[1]*x + tm[3]*y + tm[5]
		return [ X, Y ]
	transform=staticmethod(transform)

	def rtransform(tm, *args):
		if len(args) == 2:
			x = args[0]; y = args[1]
		else:
			V = args[0]
			x = P[0]; y = P[1]
		X = tm[0]*x + tm[2]*y
		Y = tm[1]*x + tm[3]*y
		return [ X, Y ]
	rtransform=staticmethod(rtransform)

	def concat(a, b):
		c = [ 
			a[0]*b[0] + a[2]*b[1], a[1]*b[0] +a[3]*b[1],
			a[0]*b[2] + a[2]*b[3], a[1]*b[2] +a[3]*b[3],
			a[0]*b[4] + a[2]*b[5] + a[4], a[1]*b[4] +a[3]*b[5] + a[5],
		]
		return c
	concat = staticmethod(concat)

	# array * array -> array
	def lconcat(a, b):
		c = [ 
			a[0]*b[0] + a[2]*b[1], a[1]*b[0] +a[3]*b[1],
			a[0]*b[2] + a[2]*b[3], a[1]*b[2] +a[3]*b[3]
		]
		return c
	lconcat = staticmethod(lconcat)

