
from piscript.PiModule import *

P = [
	[ -1.5,-1],
	[ 0, 1],
	[1.5,-1],
]

import math

lw = 0.5
A = math.atan2(P[1][1]-P[0][1], P[1][0]-P[0][0])
B = math.atan2(P[1][1]-P[2][1], P[1][0]-P[2][0])

dx = lw*math.cos(A+math.pi/2)
dy = lw*math.sin(A+math.pi/2)
Q = [ 
	[ P[0][0]+dx, P[0][1]+dy ],
	[ P[0][0]-dx, P[0][1]-dy ],
	[ P[1][0]-dx, P[1][1]-dy ],
	[ P[1][0]+dx, P[1][1]+dy ],
]

init("bevel1", 120, 120)

beginpage()
center()
scale(29)
setlinejoin(2)

scalelinewidth(29)
newpath()
moveto(P[0])
lineto(P[1])
lineto(P[2])
stroke(0.8,0,0)

scalelinewidth(1.0/29)
newpath()
moveto(P[0])
lineto(P[1])
lineto(P[2])
stroke(1,1,0)

endpage()
finish()
