
from piscript.PiModule import *

dx = 1.3
dy = 0.4
init("frame2", 160, 160)
beginpage()
center()
scale(21)
translate(-0.5,-0.5)
a = Vector([ 0.42, 0 ])
b = Vector([ 0, 0.42 ])
gsave()
translate(-dx, -dy)
g = 0.7
N = 16
for i in range(-N, N):
	for j in range(-N, N):
		newpath()
		moveto(a*float(i)+b*float(j))
		rlineto(a)
		rlineto(b)
		rlineto(-a)
		closepath()
		stroke(g)

newpath()
moveto(-N,0)
lineto(N,0)
moveto(0,-N)
lineto(0,N)
stroke()
grestore()

b = Vector([ -0.72, 1.6 ])
a = Vector([ 1.1, 0.75 ])

gsave()
g = 0.7
N = 20
for i in range(-N, N):
	for j in range(-N, N):
		newpath()
		moveto(a*float(i)+b*float(j))
		rlineto(a)
		rlineto(b)
		rlineto(-a)
		closepath()
		stroke(1,0.6,0.8)
grestore()

gsave()
scalelinewidth(0.5)
setlinecap(1)
sw = 0.07
hw = 3.6*sw
setarrowdims(sw, hw)
newpath()
arrow(a)
fill(1)
stroke()

newpath()
arrow(b)
fill()
stroke()

grestore()

# -----------------------------------------

settexenv("BoldMathTexConfig")

gsave()
c = canvas()
c.newpath()
c.circle(1.5)
c.fill(1)
c.stroke()

place(c)
grestore()

gsave()

grestore()

# -----------------------

gsave()
c = canvas()
t = texinsert("$[a,b]$")
A = math.atan2(a[1], a[0])
t.rotate(A)
t.translate(6, -11)
c.newpath()
c.polygon(t.currentbbox())
c.fill(1)
c.place(t)
place(c)
grestore()

gsave()
c = canvas()
translate(-1, 1)
t = texinsert("$[c,d]$")
A = math.atan2(b[1], b[0])
t.rotate(A+math.pi)
c.newpath()
c.polygon(t.currentbbox())
c.fill(1)
c.place(t)
place(c)
grestore()

gsave()
c = canvas()
t = texinsert("$(e,f)$")
c.translate(-t.width, -t.height-3)
c.newpath()
c.polygon(t.currentbbox())
c.fill(1)
c.place(t)
place(c)
grestore()

# -----------------------

gsave()


grestore()
# -----------------------------------------

endpage()
finish()
