
from piscript.PiModule import *

init("q5e", 100,100)

beginpage()
center()
S = 12
scale(S)

n = 8

import math
dy = math.sqrt(5)

A = math.atan(1/math.sqrt(5))
rotate(A)

for i in range(-n, n):
	for j in range(-n, n):
		newpath()
		circle(i, j*dy, 1)
		fill(0.96)

for i in range(-n, n):
	for j in range(-n, n):
		newpath()
		circle(i, j*dy, 1)
		stroke(0.7)

newpath()
circle(1)
stroke(0.6)

for i in range(-n, n):
	for j in range(-n, n):
		newpath()
		circle(i, j*dy, 0.05)
		fill()

for i in range(-n, n):
	for j in range(-n, n):
		newpath()
		circle(i+0.5, (j+0.5)*dy, 0.05)
		fill()

sw = 0.08
hw = 3.6*sw
setarrowdims(sw, hw)

gsave()

scalelinewidth(0.25)
setlinecap(1)

newpath()
arrow(1, 0)
fill(0.8, 0.0, 0.0)
stroke()

rotate(math.pi/2)
newpath()
arrow(math.sqrt(5), 0)
fill(0.8, 0.0, 0.0)
stroke(0)

grestore()

setrad()
gsave()
translate(1.08, -0.08)
rotate(-A)
scale(0.044)
place(texinsert("w"))
grestore()

endpage()

flush()
