
	
from piscript.PiModule import *
import math

def frame():
	newpath()
	arrow(1,0)
	fill()
	newpath()
	arrow(0,1)
	fill()

f = 1.6

init("zoom1", 150, 150)
setlinecap(1)
beginpage()
newpath()
bbox(0, 0, width(), height())
stroke(0.8)

gsave()
translate(-40,-40)
scale(24)
translate(2,4)
sw = 0.072; hw = 3.6*sw
setarrowdims(sw, hw)

rad=0.5*sw
x = 1; y = 3

dx = 0.2; dy = 0.25

newpath()
circle(x, y, rad)
fill()

# ---------------------------------------

# --------------------------------------

cx = 4; cy = 2
newpath()
circle(cx, cy, rad)
fill()

""" gsave()
translate(cx,cy)
newpath()
moveto(0,0)
lineto(x,y)
stroke()
grestore() """

zoom([x,y], [cx, cy], 2)

newpath()
box(x-f/2.0, y-f/2.0, f, f)
stroke(0.7)

newpath()
circle(x-0.8*dx, y-0.4*dy, 4*rad)
stroke(1,0,0)

newpath()
circle(x+1*dx, y-1.2*dy, 2*rad)
fill(0,0,1)

newpath()
circle(x+dx, y+dy, 3*rad)
stroke(0,1,0)


grestore()

setfont("/Helvetica-Oblique", 7)

moveto(34, 125)
show("P")

moveto(107, 102)
show("Q")

endpage()
finish()

