import math

def clone(g):
	r = len(g)
	c = len(g[0])
	m = []
	for i in range(r):
		row = []
		for j in range(c):
			row.append(g[i][j])
		m.append(row)
	return m

def mul(u, v):
	r = len(u); c = len(v[0])
	p = []
	for i in range(r):
		q = []
		for k in range(c):
			s = 0
			for j in range(len(u[0])):
				s += u[i][j]*v[j][k]
			q.append(s)
		p.append(q)
	return(p)

def transform(m, v):
	r = len(m); c = len(v)
	p = []
	for i in range(r):
		s = 0
		for j in range(c):
			s += m[i][j]*v[j]
		p.append(s)
	return(p)
	
def string(m):
	s = "["
	r = len(m)
	for i in range(r):
		s += VectorUtils.string(m[i]) + "\n"
	s += "]"
	return(s)
	
def transpose(m):
	M = []
	# M[j][i] = m[i][j]
	for j in range(len(m[0])):
		r = []
		for i in range(len(m)):
			r.append(m[i][j])
		M.append(r)
	return(M)
